import java.util.Scanner;

/* NB: For the judge to run the program, do not modify the declaration of the class Main or
 *     method main() below. The class has to be declared as "class Main { ... }"
 *     and the method as "public static void main(String[] args) { ... }" */
class Main {
	
		public static void main(String[] args) {
        	
            // Read from the standard input with java.util.Scanner
            Scanner scanner = new Scanner(System.in);
            int n = scanner.nextInt();
            
            // Create new array for n integers 
            int[] A = new int[n];
            
            // Read n integers into A
            int i;
            for (i = 0; i < n; i++)
                    A[i] = scanner.nextInt();
            scanner.close();

            // Did we visit this element already?
            // Note: the elements of a new boolean array is set to false by default
            boolean[] visited = new boolean[n];
            
            // Total number of car moves
            int moves = 0;
            
            // Go through all the cars. If we have not counted that car yet,
            // count all the cars in that car's cycle and add that to 'moves'. 
            int j;
            for (j = 0; j < n; j++) {
            		if (! visited[j]) {
            				int l = 0; // The cycle length
            				int cur = j; // Current car of the cycle
            				while (! visited[cur]) {
            						visited[cur] = true;
            						cur = A[cur]; // Next car in the cycle
            						l += 1; // Increase the cycle length
            				}
            				// If l==1, the single car of the cycle is already
            				// in the right space, so do not count it
            				if (l > 1) {
            					moves += l + 1;
            				}
            		}
            }
            
            // Output the number of car moves
            System.out.println(moves);

        }
}
